Zum Hauptinhalt springen
GET
/
v3beta1
/
organizations
/
{org_id}
/
snapshot-setup
/
blueprints
/
{blueprint_id}
Einen einzelnen Blueprint abrufen
curl --request GET \
  --url https://api.devin.ai/v3beta1/organizations/{org_id}/snapshot-setup/blueprints/{blueprint_id} \
  --header 'Authorization: Bearer <token>'
{
  "blueprint_id": "<string>",
  "created_at": 123,
  "repo_name": "<string>",
  "type": "enterprise",
  "updated_at": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.devin.ai/llms.txt

Use this file to discover all available pages before exploring further.

Berechtigungen

Erfordert auf Organisationsebene einen Service-Benutzer mit der Berechtigung ManageRepoBlueprints.

Autorisierungen

Authorization
string
header
erforderlich

Servicebenutzer-Anmeldedaten (Präfix: cog_)

Pfadparameter

blueprint_id
string
erforderlich

Antwort

Erfolgreiche Antwort

Öffentliches Ressourcenformat für Blueprint.

Hinweis: Das Enum type kann in Zukunft erweitert werden; Clients MÜSSEN unbekannte Werte robust verarbeiten. Der YAML-Inhalt wird separat über GET /blueprints/{id}/contents abgerufen.

blueprint_id
string
erforderlich
created_at
integer
erforderlich
repo_name
string | null
erforderlich
type
enum<string>
erforderlich
Verfügbare Optionen:
enterprise,
org,
repo
updated_at
integer
erforderlich